import request from '/@/utils/request';

export function facilityAreaApi() {
    return {
        // v1
        getFacilityAreaList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckRegion/select/listRegionByPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        getFacilityAreaById: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckRegion/select/getRegionById`,
                method: 'post',
                data: data
            });
        },
        // v1
        addFacilityArea: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckRegion/insert/saveRegion`,
                method: 'post',
                data: data
            });
        },
        // v1
        modFacilityArea: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckRegion/update/updateRegionById`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteFacilityArea: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckRegion/delete/deleteRegionById`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllFacilityAreaList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckRegion/select/listRegionName`,
                method: 'get'
            });
        },
        // v1
        getFacilityAreaType: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckRegionType/select/listRegionType`,
                method: 'get'
            });
        }
    };
}
